/* 
	FPS_Enroll.ino - Library example for controlling the GT-511C3 Finger Print Scanner (FPS)
	Created by Josh Hawley, July 23rd 2013
	Licensed for non-commercial use, must include this license message
	basically, Feel free to hack away at it, but just give me credit for my work =)
	TLDR; Wil Wheaton's Law

	This sketch will attempt to identify a previously enrolled fingerprint.
*/

#include "FPS_GT511C3.h"
#include "SoftwareSerial.h"

// Hardware setup - FPS connected to:
//	  digital pin 4(arduino rx, fps tx)
//	  digital pin 5(arduino tx - 560ohm resistor fps tx - 1000ohm resistor - ground)
//		this brings the 5v tx line down to about 3.2v so we dont fry our fps

FPS_GT511C3 fps(4, 5);
int inPin =12;

SoftwareSerial mySerial(10, 11); // RX, TX

void setup()
{
	pinMode(12,OUTPUT);
	delay(100);
	fps.Open();
	fps.SetLED(true);
  Serial.begin(57600);
  mySerial.begin(9600);
}

void loop()
{

	// Identify fingerprint test
	if (fps.IsPressFinger())
	{
		fps.CaptureFinger(false);
		int id = fps.Identify1_N();
		if (id <200)
		{
      int i = 1000;
      while(i>0)
      {
			  Serial.print("Verified ID:");
        mySerial.print("b\r");
			  Serial.println(id);
        i = i - 1;
        digitalWrite(inPin,HIGH);
      }
		}
		else
		{
			Serial.println("Finger not found");
		}
	}
	else
	{
		Serial.println("Please press finger");
    digitalWrite(inPin,LOW);
	}
	delay(100);
}
